import type { EChartsType } from 'echarts/core';
import type { EChartsOption } from 'echarts/types/dist/echarts';
export interface IToolOptions {
    interval: number;
    loopSeries: boolean;
    seriesIndex: number;
    updateData?: (() => void) | null;
    bounce: ((data: any, seriesIndex: number, dataIndex: number) => void) | null;
}
export interface IToolResult {
    clearLoop: () => void;
    stop: () => void;
    run: () => void;
}
/**
 * 循环显示tooltip工具
 * @param chart echarts实例对象
 * @param chartOption echarts配置项对象
 * @param options 配置项对象
 */
export declare function loopShowTooltip(chart: EChartsType, chartOption: EChartsOption, options: IToolOptions): IToolResult | undefined;
//# sourceMappingURL=index.d.ts.map